### Function

# Fwupd Request kind_from_string

#### Declaration [src]

    FwupdRequestKind
    fwupd_request_kind_from_string (
      const gchar* kind
    )

#### Description [src]

Converts a string to an enumerated update message kind.

Available since: | 1.6.2

#### Parameters

`kind` | `const gchar*`
| A string, e.g. `immediate`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdRequestKind`
| Enumerated value.